\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y(t) &= x_c(t)
\\
&= A_c \sin{(\omega_c t)}
\\
&= (x_m(t) + \text{AMP}) \sin{(\omega_c t)}
\\
&= (A_m \sin{(\omega_m t)} + \text{AMP}) \sin{(\omega_c t)}
\\
&= (I_m \times \text{AMP} \times \sin{(\omega_m t)} + \text{AMP}) \sin{(\omega_c t)}
\\
\vdots
\\
y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times I_m \sin{(\omega_c t)} \sin{(\omega_m t)}
\end{align*}
\end{document}